Show / Hide Table of Contents

# Class NINGauge

In-memory NIN job gauge.

##### Inheritance

System.Object
JobGaugeBase
JobGaugeBase<NinjaGauge>
NINGauge

##### Inherited Members

JobGaugeBase.Address
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.ClientState.JobGauge.Types

###### Assembly: Dalamud.dll

##### Syntax

    public class NINGauge : JobGaugeBase<NinjaGauge>

### Properties

| Improve this Doc View Source

#### HutonManualCasts

Gets the number of times Huton has been cast manually.

##### Declaration

    public byte HutonManualCasts { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### HutonTimer

Gets the time left on Huton in milliseconds.

##### Declaration

    public int HutonTimer { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### Ninki

Gets the amount of Ninki available.

##### Declaration

    public byte Ninki { get; }

##### Property Value

Type | Description
--- | ---
System.Byte |